Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface Node

All Superinterfaces:
  Node

All Known Subinterfaces:
  Detail, DetailEntry, SOAPBody, SOAPBodyElement, SOAPElement, SOAPEnvelope, SOAPFault, SOAPFaultElement, SOAPHeader, SOAPHeaderElement, Text

public interface Node
extends Node

A representation of a node (element) in an XML document. This interface extnends the standard DOM Node interface with methods for getting and setting the value of a node, for getting and setting the parent of a node, and for removing a node

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `detachNode()` Removes this Node object from the tree.
`SOAPElement` | `getParentElement()` Returns the parent element of this Node object.
`String` | `getValue()` Returns the value of this node if this is a Text node or the value of the immediate child of this node otherwise.
`void` | `recycleNode()` Notifies the implementation that this Node object is no longer being used by the application and that the implementation is free to reuse this object for nodes that may be created later.
`void` | `setParentElement(SOAPElement parent)` Sets the parent of this Node object to the given SOAPElement object.
`void` | `setValue(String value)` If this is a Text node then this method will set its value, otherwise it sets the value of the immediate (Text) child of this node.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### detachNode

    public void detachNode()

  Removes this Node object from the tree.

### getParentElement

    public SOAPElement getParentElement()

  Returns the parent element of this Node object. This method can throw an UnsupportedOperationException if the tree is not kept in memory.

  Returns:
    the SOAPElement object that is the parent of this Node object or null if this Node object is root

### setParentElement

    public void setParentElement(SOAPElement parent)
                          throws SOAPException

  Sets the parent of this Node object to the given SOAPElement object.

  Parameters:
    `parent` - the SOAPElement object to be set as the parent of this Node object
  Throws:
    `SOAPException` - if there is a problem in setting the parent to the given element

### getValue

    public String getValue()

  Returns the value of this node if this is a Text node or the value of the immediate child of this node otherwise. If there is an immediate child of this Node that it is a Text node then it's value will be returned. If there is more than one Text node then the value of the first Text Node will be returned. Otherwise null is returned.

  Returns:
    a String with the text of this node if this is a Text node or the text contained by the first immediate child of this Node object that is a Text object if such a child exists; null otherwise.

### setValue

    public void setValue(String value)

  If this is a Text node then this method will set its value, otherwise it sets the value of the immediate (Text) child of this node. The value of the immediate child of this node can be set only if, there is one child node and that node is a Text node, or if there are no children in which case a child Text node will be created.

  Parameters:
    `value` - A value string
  Throws:
    `IllegalStateException` - if the node is not a Text node and either has more than one child node or has a child node that is not a Text node.

### recycleNode

    public void recycleNode()

  Notifies the implementation that this Node object is no longer being used by the application and that the implementation is free to reuse this object for nodes that may be created later. Calling the method recycleNode implies that the method detachNode has been called previously.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.